Bug 129507 - System crashes when re-inserting CompactFlash card
System crashes when re-inserting CompactFlash card
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pcmcia-cs (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-09 16:25 EDT by Mathijs Tieleman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-25 15:29:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Logfile information and hardware info (41.12 KB, text/plain)
2004-08-09 16:27 EDT, Mathijs Tieleman
no flags Details

  None (edit)
Description Mathijs Tieleman 2004-08-09 16:25:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040626 Firefox/0.9.1

Description of problem:
Distribution: Fedora Core 2
Hardware Environment: DELL 5150 Inspiron Laptop
Software Environment: Kernel 2.6.7

Description:

Inserting CompactFlash Card into PCMCIA, removing it, and re-inserting
it will
result in a complete kernelcrash (process: pccardd)

Basicly it always works fine when inserting the for the first time,
after the
computer booted. But, when removing and re-inserting it (or a different
CompactFlash card) it results in a kernel crash.

I've no different computer with a PCMCIA slot, but I tested it with
the 2.6.6SMP
Fedora kernel, and with my own build 2.6.7 kernel (directly from
kernel.org,
with and without SMP). In both situations the PCCARDD process gives
first a NULL
pointer error, when removing/insterting the CompactFlash card after this
message, the computer will crash immediately, without giving any
information.
The screen freezes. Only a cold reboot gives the computer its live back.

Also Hyperthreading gives when running the Fedora Kernel an error, but
when
turning of the HT feature in the BIOS, the result is the same. 

I also compiled a kernel without the HT / SMP features. This also
results in the
same kernel crash.


Some points of interest could be:

* when starting the computer the cardmgr already has problems, but I
can't see
if it leads to this fatal error
* I've no floppy drive. When running the Fedora kernel during
inserting the
CompactFlash card, you'll also see modprobe giving a "FATAL: Error
inserting
floppy" (floppy.ko).  (see logging below)



The attachment shows information about;

* Computer type/linux version
* logging information (what happens when inserting/removing)
* lspci
* lsdev
* dmesg




Version-Release number of selected component (if applicable):
All 2.6 kernel (2.4 not tested)

How reproducible:
Always

Steps to Reproduce:
1. Insert CompactFlash card (into PCMCIA slot)
2. Remove it
3. Insert it again
    
note: I tried different types of cf cards.

Actual Results:  System crash

Expected Results:  Fine working machine

Additional info:
Comment 1 Mathijs Tieleman 2004-08-09 16:27:26 EDT
Created attachment 102539 [details]
Logfile information and hardware info
Comment 2 Matthew Miller 2005-04-26 12:38:31 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 John Thacker 2006-10-25 15:29:48 EDT
Closed per above message and lack of response.  Note that FC2 is not even
supported by Fedora Legacy currently.


Note You need to log in before you can comment on or make changes to this bug.